Index: uspace/lib/net/include/icmp_interface.h
===================================================================
--- uspace/lib/net/include/icmp_interface.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/icmp_interface.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,10 +27,10 @@
  */
 
-/** @addtogroup icmp
+/** @addtogroup libnet 
  *  @{
  */
 
-#ifndef __NET_ICMP_INTERFACE_H__
-#define __NET_ICMP_INTERFACE_H__
+#ifndef LIBNET_ICMP_INTERFACE_H_
+#define LIBNET_ICMP_INTERFACE_H_
 
 #include <net/socket_codes.h>
@@ -46,56 +46,13 @@
 
 /** @name ICMP module interface
- *  This interface is used by other modules.
+ * This interface is used by other modules.
  */
 /*@{*/
 
-/** Sends the Destination Unreachable error notification packet.
- *  Beginning of the packet is sent as the notification packet data.
- *  The source and the destination addresses should be set in the original packet.
- *  @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- *  @param[in] code The error specific code.
- *  @param[in] mtu The error MTU value.
- *  @param[in] packet The original packet.
- *  @returns EOK on success.
- *  @returns EPERM if the ICMP error notifications are disabled.
- *  @returns ENOMEM if there is not enough memory left.
- */
-extern int icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code, icmp_param_t mtu, packet_t packet);
-
-/** Sends the Source Quench error notification packet.
- *  Beginning of the packet is sent as the notification packet data.
- *  The source and the destination addresses should be set in the original packet.
- *  @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- *  @param[in] packet The original packet.
- *  @returns EOK on success.
- *  @returns EPERM if the ICMP error notifications are disabled.
- *  @returns ENOMEM if there is not enough memory left.
- */
-extern int icmp_source_quench_msg(int icmp_phone, packet_t packet);
-
-/** Sends the Time Exceeded error notification packet.
- *  Beginning of the packet is sent as the notification packet data.
- *  The source and the destination addresses should be set in the original packet.
- *  @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- *  @param[in] code The error specific code.
- *  @param[in] packet The original packet.
- *  @returns EOK on success.
- *  @returns EPERM if the ICMP error notifications are disabled.
- *  @returns ENOMEM if there is not enough memory left.
- */
-extern int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet);
-
-/** Sends the Parameter Problem error notification packet.
- *  Beginning of the packet is sent as the notification packet data.
- *  The source and the destination addresses should be set in the original packet.
- *  @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
- *  @param[in] code The error specific code.
- *  @param[in] pointer The problematic parameter offset.
- *  @param[in] packet The original packet.
- *  @returns EOK on success.
- *  @returns EPERM if the ICMP error notifications are disabled.
- *  @returns ENOMEM if there is not enough memory left.
- */
-extern int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code, icmp_param_t pointer, packet_t packet);
+extern int icmp_destination_unreachable_msg(int, icmp_code_t, icmp_param_t,
+    packet_t);
+extern int icmp_source_quench_msg(int, packet_t);
+extern int icmp_time_exceeded_msg(int, icmp_code_t, packet_t);
+extern int icmp_parameter_problem_msg(int, icmp_code_t, icmp_param_t, packet_t);
 
 /*@}*/
Index: uspace/lib/net/include/il_interface.h
===================================================================
--- uspace/lib/net/include/il_interface.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/il_interface.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,25 +27,21 @@
  */
 
-/** @addtogroup net_il
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
 /** @file
- * Internetwork layer module interface for the underlying network interface layer.
- * This interface is always called by the remote modules.
+ * Internetwork layer module interface for the underlying network interface
+ * layer. This interface is always called by the remote modules.
  */
 
-#ifndef __NET_IL_INTERFACE_H__
-#define __NET_IL_INTERFACE_H__
-
-#include <generic.h>
+#ifndef LIBNET_IL_INTERFACE_H_
+#define LIBNET_IL_INTERFACE_H_
 
 #include <ipc/services.h>
-#include <ipc/il.h>
+#include <sys/types.h>
 
 #include <net/device.h>
 #include <net/packet.h>
-
-#include <packet_client.h>
 
 /** @name Internetwork layer module interface
@@ -54,60 +50,7 @@
 /*@{*/
 
-/** Notify the internetwork layer modules about the device state change.
- *
- * @param[in] il_phone  The internetwork layer module phone used for
- *                      (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] state     The new device state.
- * @param[in] target    The target internetwork module service to be
- *                      delivered to.
- *
- * @return EOK on success.
- *
- */
-static inline int il_device_state_msg(int il_phone, device_id_t device_id,
-    device_state_t state, services_t target)
-{
-	return generic_device_state_msg_remote(il_phone, NET_IL_DEVICE_STATE,
-	    device_id, state, target);
-}
-
-/** Notify the internetwork layer modules about the received packet/s.
- *
- * @param[in] il_phone  The internetwork layer module phone used for
- *                      (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] packet    The received packet or the received packet queue.
- * @param[in] target    The target internetwork module service to be
- *                      delivered to.
- *
- * @return EOK on success.
- *
- */
-inline static int il_received_msg(int il_phone, device_id_t device_id,
-    packet_t packet, services_t target)
-{
-	return generic_received_msg_remote(il_phone, NET_IL_RECEIVED, device_id,
-	    packet_get_id(packet), target, 0);
-}
-
-/** Notify the internetwork layer modules about the mtu change.
- *
- * @param[in] il_phone  The internetwork layer module phone used for
- *                      (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] mtu       The new mtu value.
- * @param[in] target    The target internetwork module service to be
- *                      delivered to.
- *
- * @return EOK on success.
- *
- */
-inline static int il_mtu_changed_msg(int il_phone, device_id_t device_id,
-    size_t mtu, services_t target)
-{
-	return generic_device_state_msg_remote(il_phone, NET_IL_MTU_CHANGED,
-	    device_id, (int) mtu, target);
-}
+extern int il_device_state_msg(int, device_id_t, device_state_t, services_t);
+extern int il_received_msg(int, device_id_t, packet_t, services_t);
+extern int il_mtu_changed_msg(int, device_id_t, size_t, services_t);
 
 /*@}*/
Index: uspace/lib/net/include/il_local.h
===================================================================
--- uspace/lib/net/include/il_local.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/il_local.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,16 +27,42 @@
  */
 
-/** @addtogroup il_local
- *  @{
+/** @addtogroup libnet 
+ * @{
  */
 
-#ifndef __IL_LOCAL_H__
-#define __IL_LOCAL_H__
+#ifndef LIBNET_IL_LOCAL_H_
+#define LIBNET_IL_LOCAL_H_
 
 #include <ipc/ipc.h>
 #include <async.h>
 
+/** Processes the Internet layer module message.
+ *
+ * @param[in]		callid The message identifier.
+ * @param[in]		call The message parameters.
+ * @param[out]		answer The message answer parameters.
+ * @param[out]		answer_count The last parameter for the actual answer in
+ *			the answer parameter.
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for the arp_message()
+ *			function.
+ */
 extern int il_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count);
+
+/** Starts the Internet layer module.
+ *
+ * Initializes the client connection servicing function, initializes the module,
+ * registers the module service and starts the async manager, processing IPC
+ * messages in an infinite loop.
+ *
+ * @param[in] client_connection The client connection processing function. The
+ *			module skeleton propagates its own one.
+ * @returns		EOK on successful module termination.
+ * @returns		Other error codes as defined for the arp_initialize()
+ *			function.
+ * @returns		Other error codes as defined for the REGISTER_ME() macro
+ *			function.
+ */
 extern int il_module_start_standalone(async_client_conn_t client_connection);
 
Index: uspace/lib/net/include/ip_header.h
===================================================================
--- uspace/lib/net/include/ip_header.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/ip_header.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,15 +27,15 @@
  */
 
-/** @addtogroup ip
- *  @{
+/** @addtogroup libnet 
+ * @{
  */
 
 /** @file
- *  IP header and options definitions.
- *  Based on the RFC~791.
- */
-
-#ifndef __NET_IP_HEADER_H__
-#define __NET_IP_HEADER_H__
+ * IP header and options definitions.
+ * Based on the RFC 791.
+ */
+
+#ifndef LIBNET_IP_HEADER_H_
+#define LIBNET_IP_HEADER_H_
 
 #include <byteorder.h>
@@ -43,235 +43,172 @@
 
 /** Returns the fragment offest high bits.
- *  @param[in] length The prefixed data total length.
- */
-#define IP_COMPUTE_FRAGMENT_OFFSET_HIGH(length) ((((length) / 8u) &0x1F00) >> 8)
+ * @param[in] length The prefixed data total length.
+ */
+#define IP_COMPUTE_FRAGMENT_OFFSET_HIGH(length) \
+	((((length) / 8U) & 0x1f00) >> 8)
 
 /** Returns the fragment offest low bits.
- *  @param[in] length The prefixed data total length.
- */
-#define IP_COMPUTE_FRAGMENT_OFFSET_LOW(length) (((length) / 8u) &0xFF)
+ * @param[in] length The prefixed data total length.
+ */
+#define IP_COMPUTE_FRAGMENT_OFFSET_LOW(length) \
+	(((length) / 8U) & 0xff)
 
 /** Returns the IP header length.
- *  @param[in] length The IP header length in bytes.
- */
-#define IP_COMPUTE_HEADER_LENGTH(length)		((uint8_t) ((length) / 4u))
+ * @param[in] length The IP header length in bytes.
+ */
+#define IP_COMPUTE_HEADER_LENGTH(length) \
+	((uint8_t) ((length) / 4U))
 
 /** Returns the fragment offest.
- *  @param[in] header The IP packet header.
- */
-#define IP_FRAGMENT_OFFSET(header) ((((header)->fragment_offset_high << 8) + (header)->fragment_offset_low) * 8u)
+ * @param[in] header The IP packet header.
+ */
+#define IP_FRAGMENT_OFFSET(header) \
+	((((header)->fragment_offset_high << 8) + \
+	    (header)->fragment_offset_low) * 8U)
 
 /** Returns the IP packet header checksum.
  *  @param[in] header The IP packet header.
  */
-#define IP_HEADER_CHECKSUM(header)	(htons(ip_checksum((uint8_t *)(header), IP_HEADER_LENGTH(header))))
+#define IP_HEADER_CHECKSUM(header) \
+	(htons(ip_checksum((uint8_t *) (header), IP_HEADER_LENGTH(header))))
 
 /** Returns the actual IP packet data length.
- *  @param[in] header The IP packet header.
- */
-#define IP_HEADER_DATA_LENGTH(header)	(IP_TOTAL_LENGTH(header) - IP_HEADER_LENGTH(header))
+ * @param[in] header The IP packet header.
+ */
+#define IP_HEADER_DATA_LENGTH(header) \
+	(IP_TOTAL_LENGTH(header) - IP_HEADER_LENGTH(header))
 
 /** Returns the actual IP header length in bytes.
- *  @param[in] header The IP packet header.
- */
-#define IP_HEADER_LENGTH(header)		((header)->header_length * 4u)
+ * @param[in] header The IP packet header.
+ */
+#define IP_HEADER_LENGTH(header) \
+	((header)->header_length * 4U)
 
 /** Returns the actual IP packet total length.
- *  @param[in] header The IP packet header.
- */
-#define IP_TOTAL_LENGTH(header)		ntohs((header)->total_length)
-
-/** @name IP flags definitions
- */
+ * @param[in] header The IP packet header.
+ */
+#define IP_TOTAL_LENGTH(header) \
+	ntohs((header)->total_length)
+
+/** @name IP flags definitions */
 /*@{*/
 
-/** Fragment flag field shift.
- */
-#define IPFLAG_FRAGMENT_SHIFT		1
-
-/** Fragmented flag field shift.
- */
-#define IPFLAG_FRAGMENTED_SHIFT		0
+/** Fragment flag field shift. */
+#define IPFLAG_FRAGMENT_SHIFT	1
+
+/** Fragmented flag field shift. */
+#define IPFLAG_FRAGMENTED_SHIFT	0
 
 /** Don't fragment flag value.
- *  Permits the packet fragmentation.
- */
-#define IPFLAG_DONT_FRAGMENT		(0x1 << IPFLAG_FRAGMENT_SHIFT)
+ * Permits the packet fragmentation.
+ */
+#define IPFLAG_DONT_FRAGMENT	(0x1 << IPFLAG_FRAGMENT_SHIFT)
 
 /** Last fragment flag value.
- *  Indicates the last packet fragment.
- */
-#define IPFLAG_LAST_FRAGMENT		(0x0 << IPFLAG_FRAGMENTED_SHIFT)
+ * Indicates the last packet fragment.
+ */
+#define IPFLAG_LAST_FRAGMENT	(0x0 << IPFLAG_FRAGMENTED_SHIFT)
 
 /** May fragment flag value.
- *  Allows the packet fragmentation.
- */
-#define IPFLAG_MAY_FRAGMENT			(0x0 << IPFLAG_FRAGMENT_SHIFT)
+ * Allows the packet fragmentation.
+ */
+#define IPFLAG_MAY_FRAGMENT	(0x0 << IPFLAG_FRAGMENT_SHIFT)
 
 /** More fragments flag value.
- *  Indicates that more packet fragments follow.
- */
-#define IPFLAG_MORE_FRAGMENTS		(0x1 << IPFLAG_FRAGMENTED_SHIFT)
+ * Indicates that more packet fragments follow.
+ */
+#define IPFLAG_MORE_FRAGMENTS	(0x1 << IPFLAG_FRAGMENTED_SHIFT)
 
 /*@}*/
 
 /** Type definition of the internet header.
- *  @see ip_header
- */
-typedef struct ip_header	ip_header_t;
+ * @see ip_header
+ */
+typedef struct ip_header ip_header_t;
 
 /** Type definition of the internet header pointer.
- *  @see ip_header
- */
-typedef ip_header_t *		ip_header_ref;
+ * @see ip_header
+ */
+typedef ip_header_t *ip_header_ref;
 
 /** Type definition of the internet option header.
- *  @see ip_header
- */
-typedef struct ip_option	ip_option_t;
+ * @see ip_header
+ */
+typedef struct ip_option ip_option_t;
 
 /** Type definition of the internet option header pointer.
- *  @see ip_header
- */
-typedef ip_option_t *		ip_option_ref;
+ * @see ip_header
+ */
+typedef ip_option_t *ip_option_ref;
 
 /** Type definition of the internet version 4 pseudo header.
- *  @see ipv4_pseudo_header
- */
-typedef struct ipv4_pseudo_header	ipv4_pseudo_header_t;
+ * @see ipv4_pseudo_header
+ */
+typedef struct ipv4_pseudo_header ipv4_pseudo_header_t;
 
 /** Type definition of the internet version 4 pseudo header pointer.
- *  @see ipv4_pseudo_header
- */
-typedef ipv4_pseudo_header_t *		ipv4_pseudo_header_ref;
+ * @see ipv4_pseudo_header
+ */
+typedef ipv4_pseudo_header_t *ipv4_pseudo_header_ref;
 
 /** Internet header.
- *  The variable options should be included after the header itself and indicated by the increased header length value.
- */
-struct ip_header{
+ *
+ * The variable options should be included after the header itself and
+ * indicated by the increased header length value.
+ */
+struct ip_header {
 #ifdef ARCH_IS_BIG_ENDIAN
-	/** The Version field indicates the format of the internet header.
-	 */
-	uint8_t version:4;
-	/** Internet Header Length is the length of the internet header in 32~bit words, and thus points to the beginning of the data.
-	 *  Note that the minimum value for a~correct header is~5.
-	 */
-	uint8_t header_length:4;
+	uint8_t version : 4;
+	uint8_t header_length : 4;
 #else
-	/** Internet Header Length is the length of the internet header in 32~bit words, and thus points to the beginning of the data.
-	 *  Note that the minimum value for a~correct header is~5.
-	 */
-	uint8_t header_length:4;
-	/** The Version field indicates the format of the internet header.
-	 */
-	uint8_t version:4;
-#endif
-	/** The Type of Service provides an indication of the abstract parameters of the quality of service desired.
-	 *  These parameters are to be used to guide the selection of the actual service parameters when transmitting a~datagram through a~particular network.
-	 *  Several networks offer service precedence, which somehow treats high precedence traffic as more important than other traffic (generally by accepting only traffic above a~certain precedence at time of high load).
-	 *  The major choice is a~three way tradeoff between low-delay, high-reliability, and high-throughput.
-	 */
+	uint8_t header_length : 4;
+	uint8_t version : 4;
+#endif
+
 	uint8_t tos;
-	/** Total Length is the length of the datagram, measured in octets, including internet header and data.
-	 *  This field allows the length of a~datagram to be up to 65,535~octets.
-	 */
 	uint16_t total_length;
-	/** An identifying value assigned by the sender to aid in assembling the fragments of a~datagram.
-	 */
 	uint16_t identification;
+
 #ifdef ARCH_IS_BIG_ENDIAN
-	/** Various control flags.
-	 */
-	uint8_t flags:3;
-	/** This field indicates where in the datagram this fragment belongs.
-	 *  High bits.
-	 */
-	uint8_t fragment_offset_high:5;
+	uint8_t flags : 3;
+	uint8_t fragment_offset_high : 5;
 #else
-	/** This field indicates where in the datagram this fragment belongs.
-	 *  High bits.
-	 */
-	uint8_t fragment_offset_high:5;
-	/** Various control flags.
-	 */
-	uint8_t flags:3;
-#endif
-	/** This field indicates where in the datagram this fragment belongs.
-	 *  Low bits.
-	 */
+	uint8_t fragment_offset_high : 5;
+	uint8_t flags : 3;
+#endif
+
 	uint8_t fragment_offset_low;
-	/** This field indicates the maximum time the datagram is allowed to remain in the internet system.
-	 *  If this field contains the value zero, then the datagram must be destroyed.
-	 *  This field is modified in internet header processing.
-	 *  The time is measured in units of seconds, but since every module that processes a~datagram must decrease the TTL by at least one even if it process the datagram in less than a~second, the TTL must be thought of only as an upper bound on the time a~datagram may exist.
-	 *  The intention is to cause undeliverable datagrams to be discarded, and to bound the maximum datagram lifetime.
-	 */
 	uint8_t ttl;
-	/** This field indicates the next level protocol used in the data portion of the internet datagram.
-	 */
 	uint8_t protocol;
-	/** A checksum of the header only.
-	 *  Since some header fields change (e.g., time to live), this is recomputed and verified at each point that the internet header is processed.
-	 *  The checksum algorithm is: The checksum field is the 16~bit one's complement of the one's complement sum of all 16~bit words in the header.
-	 *  For purposes of computing the checksum, the value of the checksum field is zero.
-	 */
 	uint16_t header_checksum;
-	/** The source address.
-	 */
 	uint32_t source_address;
-	/** The destination address.
-	 */
 	uint32_t destination_address;
 } __attribute__ ((packed));
 
 /** Internet option header.
- *  Only type field is always valid.
- *  Other fields' validity depends on the option type.
- */
-struct ip_option{
-	/** A single octet of option-type.
-	 */
+ *
+ * Only type field is always valid.
+ * Other fields' validity depends on the option type.
+ */
+struct ip_option {
 	uint8_t type;
-	/** An option length octet.
-	 */
 	uint8_t length;
-	/** A~pointer.
-	 */
 	uint8_t pointer;
+
 #ifdef ARCH_IS_BIG_ENDIAN
-	/** The number of IP modules that cannot register timestamps due to lack of space.
-	 */
-	uint8_t overflow:4;
-	/** Various internet timestamp control flags.
-	 */
-	uint8_t flags:4;
+	uint8_t overflow : 4;
+	uint8_t flags : 4;
 #else
-	/** Various internet timestamp control flags.
-	 */
-	uint8_t flags:4;
-	/** The number of IP modules that cannot register timestamps due to lack of space.
-	 */
-	uint8_t overflow:4;
+	uint8_t flags : 4;
+	uint8_t overflow : 4;
 #endif
 } __attribute__ ((packed));
 
-/** Internet version 4 pseudo header.
- */
-struct ipv4_pseudo_header{
-	/** The source address.
-	 */
+/** Internet version 4 pseudo header. */
+struct ipv4_pseudo_header {
 	uint32_t source_address;
-	/** The destination address.
-	 */
 	uint32_t destination_address;
-	/** Reserved byte.
-	 *  Must be zero.
-	 */
 	uint8_t reserved;
-	/** This field indicates the next level protocol used in the data portion of the internet datagram.
-	 */
 	uint8_t protocol;
-	/** Data length is the length of the datagram, measured in octets.
-	 */
 	uint16_t data_length;
 } __attribute__ ((packed));
Index: uspace/lib/net/include/ip_interface.h
===================================================================
--- uspace/lib/net/include/ip_interface.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/ip_interface.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,10 +27,10 @@
  */
 
-/** @addtogroup ip
- *  @{
+/** @addtogroup libnet 
+ * @{
  */
 
-#ifndef __NET_IP_INTERFACE_H__
-#define __NET_IP_INTERFACE_H__
+#ifndef LIBNET_IP_INTERFACE_H_
+#define LIBNET_IP_INTERFACE_H_
 
 #include <net/socket_codes.h>
@@ -55,34 +55,24 @@
 
 /** @name IP module interface
- *  This interface is used by other modules.
+ * This interface is used by other modules.
  */
 /*@{*/
 
 /** The transport layer notification function type definition.
- *  Notifies the transport layer modules about the received packet/s.
- *  @param[in] device_id The device identifier.
- *  @param[in] packet The received packet or the received packet queue.
- *  @param[in] receiver The receiving module service.
- *  @param[in] error The packet error reporting service. Prefixes the received packet.
- *  @returns EOK on success.
+ *
+ * Notifies the transport layer modules about the received packet/s.
+ *
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The received packet or the received packet queue.
+ * @param[in] receiver	The receiving module service.
+ * @param[in] error	The packet error reporting service. Prefixes the
+ *			received packet.
+ * @returns		EOK on success.
  */
-typedef int	(*tl_received_msg_t)(device_id_t device_id, packet_t packet, services_t receiver, services_t error);
+typedef int (*tl_received_msg_t)(device_id_t device_id, packet_t packet,
+    services_t receiver, services_t error);
 
-/** Creates bidirectional connection with the ip module service and registers the message receiver.
- *  @param[in] service The IP module service.
- *  @param[in] protocol The transport layer protocol.
- *  @param[in] me The requesting module service.
- *  @param[in] receiver The message receiver. Used for remote connection.
- *  @returns The phone of the needed service.
- *  @returns EOK on success.
- *  @returns Other error codes as defined for the bind_service() function.
- */
-extern int ip_bind_service(services_t service, int protocol, services_t me, async_client_conn_t receiver);
-
-/** Connects to the IP module.
- *  @param service The IP module service. Ignored parameter.
- *  @returns The IP module phone on success.
- */
-extern int ip_connect_module(services_t service);
+extern int ip_bind_service(services_t, int, services_t, async_client_conn_t);
+extern int ip_connect_module(services_t);
 
 /*@}*/
Index: uspace/lib/net/include/ip_remote.h
===================================================================
--- uspace/lib/net/include/ip_remote.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/ip_remote.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,10 +27,10 @@
  */
 
-/** @addtogroup ip
+/** @addtogroup libnet
  * @{
  */
 
-#ifndef __NET_IP_REMOTE_H__
-#define __NET_IP_REMOTE_H__
+#ifndef LIBNET_IP_REMOTE_H_
+#define LIBNET_IP_REMOTE_H_
 
 #include <ipc/services.h>
Index: uspace/lib/net/include/net_hardware.h
===================================================================
--- uspace/lib/net/include/net_hardware.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/net_hardware.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,164 +27,28 @@
  */
 
-/** @addtogroup net_nil
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
 /** @file
- *  Hardware types according to the on-line IANA - Address Resolution Protocol (ARP) Parameters - <http://www.iana.org/assignments/arp-parameters/arp-parameters.xml>, cited January 14 2009.
+ * Hardware types according to the on-line IANA - Address Resolution Protocol
+ * (ARP) Parameters
+ * http://www.iana.org/assignments/arp-parameters/arp-parameters.xml,
+ * cited January 14 2009.
  */
 
-#ifndef __NET_HW_TYPES_H__
-#define __NET_HW_TYPES_H__
+#ifndef LIBNET_NET_HARDWARE_H_
+#define LIBNET_NET_HARDWARE_H_
 
 #include <sys/types.h>
 
-/** Network interface layer type type definition.
- */
-typedef uint8_t	hw_type_t;
+/** Network interface layer type type definition. */
+typedef uint8_t hw_type_t;
 
-/** @name Network interface layer types definitions
- */
+/** @name Network interface layer types definitions */
 /*@{*/
 
-/** Ethernet (10Mb) hardware type.
- */
+/** Ethernet (10Mb) hardware type. */
 #define HW_ETHER		1
-
-/** Experimental Ethernet (3Mb) hardware type.
- */
-#define HW_EETHER		2
-
-/** Amateur Radio AX.25 hardware type.
- */
-#define HW_AX25		3
-
-/** Proteon ProNET Token Ring hardware type.
- */
-#define HW_PRONET		4
-
-/** Chaos hardware type.
- */
-#define HW_CHAOS		5
-
-/** IEEE 802 Networks hardware type.
- */
-#define HW_IEEE802		6
-
-/** ARCNET hardware type.
- */
-#define HW_ARCNET		7
-
-/** Hyperchannel hardware type.
- */
-#define HW_Hyperchannel		8
-
-/** Lanstar hardware type.
- */
-#define HW_Lanstar		9
-
-/** Autonet Short Address hardware type.
- */
-#define HW_ASA		10
-
-/** LocalTalk hardware type.
- */
-#define HW_LocalTalk		11
-
-/** LocalNet (IBM PCNet or SYTEK LocalNET) hardware type.
- */
-#define HW_LocalNet		12
-
-/** Ultra link hardware type.
- */
-#define HW_Ultra_link		13
-
-/** SMDS hardware type.
- */
-#define HW_SMDS		14
-
-/** Frame Relay DLCI hardware type.
- */
-#define HW_DLCI		15
-
-/** Asynchronous Transmission Mode (ATM) hardware type.
- */
-#define HW_ATM		16
-
-/** HDLC hardware type.
- */
-#define HW_HDLC		17
-
-/** Fibre Channel hardware type.
- */
-#define HW_Fibre_Channel		18
-
-/** Asynchronous Transmission Mode (ATM) hardware type.
- */
-#define HW_ATM2		19
-
-/** Serial Line hardware type.
- */
-#define HW_Serial_Line		20
-
-/** Asynchronous Transmission Mode (ATM) hardware type.
- */
-#define HW_ATM3		21
-
-/** MIL-STD-188-220 hardware type.
- */
-#define HW_MIL_STD_188_220		22
-
-/** Metricom hardware type.
- */
-#define HW_METRICOM		23
-
-/** IEEE 1394.1995 hardware type.
- */
-#define HW_IEEE1394		24
-
-/** MAPOS hardware type.
- */
-#define HW_MAPOS		25
-
-/** Twinaxial hardware type.
- */
-#define HW_Twinaxial		26
-
-/** EUI-64 hardware type.
- */
-#define HW_EUI64		27
-
-/** HIPARP hardware type.
- */
-#define HW_HIPARP		28
-
-/** IP and ARP over ISO 7816-3 hardware type.
- */
-#define HW_ISO_7816_3		29
-
-/** ARPSec hardware type.
- */
-#define HW_ARPSec		30
-
-/** IPsec tunnel hardware type.
- */
-#define HW_IPsec_tunnel		31
-
-/** InfiniBand (TM) hardware type.
- */
-#define HW_INFINIBAND		32
-
-/** TIA-102 Project 25 Common Air Interface (CAI) hardware type.
- */
-#define HW_CAI		33
-
-/** Wiegand Interface hardware type.
- */
-#define HW_Wiegand		34
-
-/** Pure IP hardware type.
- */
-#define HW_Pure_IP		35
 
 /*@}*/
@@ -194,2 +58,3 @@
 /** @}
  */
+
Index: uspace/lib/net/include/netif_interface.h
===================================================================
--- uspace/lib/net/include/netif_interface.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/netif_interface.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,10 +27,10 @@
  */
 
-/** @addtogroup netif
+/** @addtogroup libnet
  * @{
  */
 
-#ifndef __NET_NETIF_INTERFACE_H__
-#define __NET_NETIF_INTERFACE_H__
+#ifndef LIBNET_NETIF_INTERFACE_H_
+#define LIBNET_NETIF_INTERFACE_H_
 
 #include <netif_remote.h>
